%define upstream_name    Path-Class-File-Stat
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Cache and compare stat() calls on a Path::Class::File object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Path::Class) >= 0.320.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Path::Class::File::Stat is a simple extension of Path::Class::File.
Path::Class::File::Stat is useful in long-running programs (as under
mod_perl) where you might have a file handle opened and want to check if
the underlying file has changed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-13.mga10
+ Revision: 2204265
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1810031
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1505927
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1285611
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.50.0-9.mga7
+ Revision: 1166138
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.50.0-8.mga7
+ Revision: 1160520
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1031838
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 949079
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 788942
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 740360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 685909
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.50.0-1.mga4
+ Revision: 447077
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 56729
- update to 0.03

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 28720
- mageia rebuild
- imported package perl-Path-Class-File-Stat


* Tue Oct 26 2010 Buchan Milne <bgmilne@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 589484
- import perl-Path-Class-File-Stat

